automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Patch: FYI: PR 234 test


From: Tom Tromey
Subject: Patch: FYI: PR 234 test
Date: 01 Jan 2002 16:39:51 -0700

I'm checking this in.
This adds a test for PR 234.  I couldn't reproduce the bug.
I'm going ahead with the test since I don't think we have any other
tests of `install-strip'.

Tom

Index: ChangeLog
from  Tom Tromey  <address@hidden>
        For PR automake/234:
        * tests/Makefile.am (TESTS): Added strip.test.
        * tests/strip.test: New file.

Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.364
diff -u -r1.364 Makefile.am
--- tests/Makefile.am 2001/12/31 02:44:37 1.364
+++ tests/Makefile.am 2002/01/01 23:26:17
@@ -279,6 +279,7 @@
 stamph.test \
 stamph2.test \
 stdlib.test \
+strip.test \
 subdir.test \
 subdir2.test \
 subdir3.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.471
diff -u -r1.471 Makefile.in
--- tests/Makefile.in 2001/12/31 02:44:37 1.471
+++ tests/Makefile.in 2002/01/01 23:26:17
@@ -352,6 +352,7 @@
 stamph.test \
 stamph2.test \
 stdlib.test \
+strip.test \
 subdir.test \
 subdir2.test \
 subdir3.test \
@@ -531,6 +532,7 @@
 installcheck: installcheck-am
 install-strip:
        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+         INSTALL_STRIP_FLAG=-s \
          `test -z '$(STRIP)' || \
            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
 mostlyclean-generic:
Index: tests/strip.test
===================================================================
RCS file: strip.test
diff -N strip.test
--- /dev/null   Tue May  5 13:32:27 1998
+++ tests/strip.test Tue Jan 1 15:26:17 2002
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+# Test for install-strip.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+AC_INIT(foo, 0.1, address@hidden)
+AM_INIT_AUTOMAKE($PACKAGE, $VERSION)
+AC_PROG_CC
+AM_CONDITIONAL(FOOTEST, false)
+AC_CONFIG_FILES(Makefile)
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+bin_SCRIPTS = foo
+END
+
+cat > foo << 'END'
+#! /bin/sh
+echo Maude
+END
+
+chmod +x foo
+
+set -e
+
+mkdir install
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+./configure --prefix=`cd install && pwd`
+make
+make install-strip



reply via email to

[Prev in Thread] Current Thread [Next in Thread]